Bug 817077 - [abrt] nautilus-3.2.1-2.fc16: gtk_tree_model_get_valist: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.2.1-2.fc16: gtk_tree_model_get_valist: Process /usr/bin/nau...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:4077e2d07cfe590024f76d2a451...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 11:28 EDT by Daniel
Modified: 2015-03-03 18:05 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 700307
Environment:
Last Closed: 2013-02-13 17:58:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (33.27 KB, application/octet-stream)
2012-04-27 11:28 EDT, Daniel
no flags Details

  None (edit)
Description Daniel 2012-04-27 11:28:30 EDT
Created attachment 580794 [details]
backtrace

as there have been several reports now of this problem for nautilus in fc16 and bug #700307 has not been reopened, I'm submitting this new bug report.

Not sure if it is a regression in nautilus-3.2.1-2.fc16 and really the same bug as discussed in bug #700307 or a new bug that looks very similar. In any case I got sent to bug #700307 by abrt when nautilus-3.2.1-2.fc16 crashed on me.

I attached the corresponding backtrace.

The crash happened, when I opened a new tab to a (not yet mounted) samba share, while mounting a different samba share in the current tab.

+++ This bug was initially created as a clone of Bug #700307 +++

abrt version: 2.0.1
executable: /usr/bin/nautilus
cmdline: nautilus
component: nautilus
package: nautilus-3.0.1-1.fc15
crash_function: gtk_tree_model_get_valist
kernel: 2.6.38.3-18.fc15.x86_64
reason: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
architecture: x86_64
username: arun
uid: 500
os_release: Fedora release 15 (Lovelock)
time: 1303964303
rating: 4

Text file: event_log, 20893 bytes
Binary file: coredump, 59355136 bytes
Text file: dsos, 41780 bytes
Text file: maps, 55395 bytes
Text file: backtrace, 36877 bytes

environ
-----
XDG_SESSION_ID=1
HOSTNAME=aum
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=b9d05f73b267d5c001c7d52000000010-1303964202.689262-1090733309
'XIM_PROGRAM=scim -d'
GNOME_KEYRING_CONTROL=/tmp/keyring-7hBjCG
IMSETTINGS_MODULE=SCIM
USER=arun
USERNAME=arun
MAIL=/var/spool/mail/arun
PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/arun/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=scim
PWD=/home/arun
XMODIFIERS=@im=SCIM
GNOME_KEYRING_PID=1533
LANG=en_US.UTF-8
GDM_LANG=
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/arun
SHLVL=1
LOGNAME=arun
CVS_RSH=ssh
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MamxfLD3yQ,guid=e2312b1a832b6fdcde58dfcd0000003b
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/arun
DISPLAY=:0
GTK_IM_MODULE=scim
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-arun-rYoYHe/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1541,unix/unix:/tmp/.ICE-unix/1541
ORBIT_SOCKETDIR=/tmp/orbit-arun
SSH_AUTH_SOCK=/tmp/keyring-7hBjCG/ssh
GPG_AGENT_INFO=/tmp/keyring-7hBjCG/gpg:0:1
GJS_DEBUG_OUTPUT=stderr
'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
DESKTOP_STARTUP_ID=gnome-shell-1691-aum-nautilus-0_TIME89985
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=2157

--- Additional comment from visionofarun@gmail.com on 2011-04-28 01:16:54 EDT ---

Created attachment 495397 [details]
File: event_log

--- Additional comment from visionofarun@gmail.com on 2011-04-28 01:16:59 EDT ---

Created attachment 495398 [details]
File: dsos

--- Additional comment from visionofarun@gmail.com on 2011-04-28 01:17:04 EDT ---

Created attachment 495399 [details]
File: maps

--- Additional comment from visionofarun@gmail.com on 2011-04-28 01:17:07 EDT ---

Created attachment 495400 [details]
File: backtrace

--- Additional comment from vishwanath.tk@gmail.com on 2011-04-28 23:26:35 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. Start Nautilus
2. Select "Search for Files"
and Nautilus crashed after selecting "Find" button for search

--- Additional comment from dr.diesel@gmail.com on 2011-04-29 20:07:40 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Clicked on the blank background in Gnome Shell, not any window, just crashed.

--- Additional comment from updates@fedoraproject.org on 2011-05-02 00:19:35 EDT ---

nautilus-3.0.1.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nautilus-3.0.1.1-1.fc15

--- Additional comment from connelhooley@gmail.com on 2011-05-02 15:49:48 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was deleting a large amount of files (mainly mp3s) from a USB external hard drive when Nautilus crashed.

--- Additional comment from BryanQuigley@ubuntu.com on 2011-05-02 23:27:34 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Was inserting a Palm Pre Plus (basically a usb drive), pressed Cancel to dialog asking about if you want to open it with a picture viewer and then it crashed.

--- Additional comment from updates@fedoraproject.org on 2011-05-03 00:28:28 EDT ---

Package nautilus-3.0.1.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nautilus-3.0.1.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nautilus-3.0.1.1-1.fc15
then log in and leave karma (feedback).

--- Additional comment from adrin.jalali@gmail.com on 2011-05-03 10:50:59 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
trying to mount a favourite smb location

--- Additional comment from c.biencourt@orange.fr on 2011-05-03 12:20:58 EDT ---

Package: nautilus-3.0.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. Press Ctrl + Tab
2. abrt shows me this problem

--- Additional comment from visionofarun@gmail.com on 2011-05-04 13:51:41 EDT ---

Fixed in https://admin.fedoraproject.org/updates/nautilus-3.0.1.1-1.fc15

--- Additional comment from updates@fedoraproject.org on 2011-05-09 00:08:04 EDT ---

nautilus-3.0.1.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from aguz_114@hotmail.com on 2012-02-24 00:24:28 EST ---

Problem appeared in nautilus-3.2.1-2.fc16

--- Additional comment from fedora-bugs@cryptobitch.de on 2012-03-10 21:06:48 EST ---

I've been sent here by abrt. And I am on f16. So either the dup detection is broken or the bug reappeared.
Comment 1 Fedora End Of Life 2013-01-16 13:57:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:58:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.